#include "headers/scstwapptheme.h"

ScStwAppTheme::ScStwAppTheme(QString name, QVariantMap colors, QVariantMap icons, QVariantMap fonts, QVariantMap images, QObject *parent) : QObject(parent)
{
    this->name = name;
    this->colors = colors;
    this->icons = icons;
    this->fonts = fonts;
    this->images = images;
}

QString ScStwAppTheme::getName() {
    return this->name;
}

QVariant ScStwAppTheme::getColors() {
    return this->colors;
}
QVariant ScStwAppTheme::getIcons() {
    return this->icons;
}
QVariant ScStwAppTheme::getFonts() {
    return this->fonts;
}
QVariant ScStwAppTheme::getImages() {
    return this->images;
}
